summaryrefslogtreecommitdiffstats
path: root/source/xap/pan/pan.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/pan/pan.SlackBuild')
-rwxr-xr-xsource/xap/pan/pan.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index 0aab423c7..b3bbe857a 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -59,6 +59,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+zcat $CWD/pan.gcc47.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
@@ -74,6 +76,7 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var/lib \
--sysconfdir=/etc \
--mandir=/usr/man \
+ --with-gnutls \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux